- Compare two templates
List all templates in project
Create a template in project
List all templates for a specific name
Delete template by name
Get template in project
Delete template by name and language
Update a template in project
Lists activities on project template
Creates a comment for a template
Synchronize templates for project
Compare two templates
Compare two templates.
Security
BasicAuth and BearerAuth and OAuth2Production
The unique ID of the project. You can find this on the Sinch Dashboard.
Compare data
List of templates
Timeframes are limited to 7, 30, 60 and 90 day lookbacks from the time of the request
Default:"7"
Enum:"30""60""7""90"
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/templates/{templateName}/languages/{languageCode}/compare
Example body request compare templates.
curl -i -X POST \
-u '<username>:<password>' \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/templates/{templateName}/languages/{languageCode}/compare' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"templates": [
{
"templateName": "templateName2",
"templateLanguage": "PL"
}
],
"timeframe": "60",
"endTimestamp": 1694612898734
}'Response
Response when successfully compared templates.
{ "templates": [ { … }, { … } ] }
We'd love to hear from you!
Rate this content: